petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSPreStage

Runs the user-defined pre-stage function set using TSSetPreStage()

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPreStage(TS ts, PetscReal stagetime)

Collective on TS

### Input Parameters

ts -The TS context obtained from TSCreate() stagetime - The absolute time of the current stage

### Notes

TSPreStage() is typically used within time stepping implementations, most users would not generally call this routine themselves.

### See Also

TSPostStage(), TSSetPreStep(), TSPreStep(), TSPostStep()

### Level

developer

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages